Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 4068)
@@ -20,13 +20,10 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
-using HeuristicLab.Data;
-using HeuristicLab.Core;
-using HeuristicLab.Operators;
-using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 4068)
@@ -1,12 +1,11 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Diagnostics;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using System.Diagnostics;
-using HeuristicLab.Core;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Problems.TestFunctions.Evaluators {
@@ -14,5 +13,5 @@
   [StorableClass]
   public class MultinormalEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
-    
+
     private ItemList<RealVector> centers {
       get { return (ItemList<RealVector>)Parameters["Centers"].ActualValue; }
@@ -61,5 +60,5 @@
     private IEnumerable<double> GetSigma_2s(int nDim) {
       yield return 0.2;
-      for (int i = 1; i < (1 << nDim)-1; i++) {
+      for (int i = 1; i < (1 << nDim) - 1; i++) {
         yield return Random.NextDouble() * 0.5 + 0.75;
       }
@@ -74,5 +73,5 @@
       s_2s = new RealVector();
     }
-    
+
     private double FastFindOptimum(out RealVector bestSolution) {
       var optima = centers.Select((c, i) => new { f = EvaluateFunction(c), i }).OrderBy(v => v.f).ToList();
@@ -107,5 +106,5 @@
       get {
         if (centers.Count == 0) {
-          return - 1 / (2 * Math.PI * 0.2);
+          return -1 / (2 * Math.PI * 0.2);
         } else {
           RealVector bestSolution;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 4068)
@@ -21,10 +21,9 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 4068)
@@ -21,10 +21,9 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Optimization;
 
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSODecoder.cs	(revision 4068)
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRealVectorPSOEncoder.cs	(revision 4068)
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,9 +20,5 @@
 #endregion
 
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 4068)
@@ -21,8 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
 
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AckleyAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/AdditiveMoveEvaluator.cs	(revision 4068)
@@ -21,12 +21,10 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Operators;
-using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BealeAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/BoothAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/GriewankAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/LevyAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MatyasAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/MultinormalAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,12 +20,10 @@
 #endregion
 
-using HeuristicLab.Common;
+using System;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions.Evaluators;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using System;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -40,5 +38,5 @@
 
     public MultinormalAdditiveMoveEvaluator() {
-      Parameters.Add(new LookupParameter<ISingleObjectiveTestFunctionProblemEvaluator>("Evaluator", ""));      
+      Parameters.Add(new LookupParameter<ISingleObjectiveTestFunctionProblemEvaluator>("Evaluator", ""));
     }
 
@@ -47,5 +45,5 @@
     }
 
-    protected override double Evaluate(double quality, RealVector point, AdditiveMove move) {      
+    protected override double Evaluate(double quality, RealVector point, AdditiveMove move) {
       RealVectorAdditiveMoveWrapper wrapper = new RealVectorAdditiveMoveWrapper(move, point);
       var eval = EvaluatorParameter.ActualValue as MultinormalEvaluator;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RastriginAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/RosenbrockAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SchwefelAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SphereAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/SumSquaresAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/MoveEvaluators/ZakharovAdditiveMoveEvaluator.cs	(revision 4068)
@@ -20,8 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
 namespace HeuristicLab.Problems.TestFunctions {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 4068)
@@ -20,64 +20,58 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Optimization;
-using HeuristicLab.Operators;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
-namespace HeuristicLab.Problems.TestFunctions
-{
-    public class RealVectorToRealVectorEncoder : SingleSuccessorOperator, IRealVectorPSOEncoder, IRealVectorOperator
-    {
-      #region Parameters
+namespace HeuristicLab.Problems.TestFunctions {
+  public class RealVectorToRealVectorEncoder : SingleSuccessorOperator, IRealVectorPSOEncoder, IRealVectorOperator {
+    #region Parameters
 
-      public IParameter OriginalRealVectorParameter {
-        get { return (IParameter)Parameters["OriginalRealVector"]; }
-      }
+    public IParameter OriginalRealVectorParameter {
+      get { return (IParameter)Parameters["OriginalRealVector"]; }
+    }
 
-      public IParameter RealVectorParameter {
-        get { return (IParameter)Parameters["RealVector"]; }
-      }
+    public IParameter RealVectorParameter {
+      get { return (IParameter)Parameters["RealVector"]; }
+    }
 
-      public ILookupParameter<IntValue> LengthParameter {
-        get { return (ILookupParameter<IntValue>)Parameters["Length"]; }
-      }
+    public ILookupParameter<IntValue> LengthParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["Length"]; }
+    }
 
-      public IValueLookupParameter<DoubleMatrix> BoundsParameter {
-        get { return (IValueLookupParameter<DoubleMatrix>)Parameters["Bounds"]; }
-      }
+    public IValueLookupParameter<DoubleMatrix> BoundsParameter {
+      get { return (IValueLookupParameter<DoubleMatrix>)Parameters["Bounds"]; }
+    }
 
-      protected ScopeParameter CurrentScopeParameter {
-        get { return (ScopeParameter)Parameters["CurrentScope"]; }
-      }
-      #endregion
+    protected ScopeParameter CurrentScopeParameter {
+      get { return (ScopeParameter)Parameters["CurrentScope"]; }
+    }
+    #endregion
 
-      public IScope CurrentScope {
-        get { return CurrentScopeParameter.ActualValue; }
-      }
+    public IScope CurrentScope {
+      get { return CurrentScopeParameter.ActualValue; }
+    }
 
-      public RealVectorToRealVectorEncoder() : base() {
-        Parameters.Add(new LookupParameter<RealVector>("OriginalRealVector", "The original real vector."));
-        Parameters.Add(new LookupParameter<RealVector>("RealVector", "The resulting reference to the original real vector."));
-        Parameters.Add(new LookupParameter<IntValue>("Length", "Vector length."));
-        Parameters.Add(new ScopeParameter("CurrentScope", "The current scope bounds matrix should be cloned."));
-        Parameters.Add(new ValueLookupParameter<DoubleMatrix>("Bounds", "The lower and upper bounds in each dimension."));
-      }
+    public RealVectorToRealVectorEncoder()
+      : base() {
+      Parameters.Add(new LookupParameter<RealVector>("OriginalRealVector", "The original real vector."));
+      Parameters.Add(new LookupParameter<RealVector>("RealVector", "The resulting reference to the original real vector."));
+      Parameters.Add(new LookupParameter<IntValue>("Length", "Vector length."));
+      Parameters.Add(new ScopeParameter("CurrentScope", "The current scope bounds matrix should be cloned."));
+      Parameters.Add(new ValueLookupParameter<DoubleMatrix>("Bounds", "The lower and upper bounds in each dimension."));
+    }
 
-      public override IOperation Apply() {
-        RealVectorParameter.ActualValue = OriginalRealVectorParameter.ActualValue;
-        IItem value = (IItem) BoundsParameter.ActualValue.Clone();
-        CurrentScope.Variables.Add(new Variable("ParticleBounds", BoundsParameter.Description, value == null ? null : (IItem)value.Clone()));
-        return base.Apply();
-      }
+    public override IOperation Apply() {
+      RealVectorParameter.ActualValue = OriginalRealVectorParameter.ActualValue;
+      IItem value = (IItem)BoundsParameter.ActualValue.Clone();
+      CurrentScope.Variables.Add(new Variable("ParticleBounds", BoundsParameter.Description, value == null ? null : (IItem)value.Clone()));
+      return base.Apply();
+    }
 
-      public override bool CanChangeName {
-        get { return false; }
-      }
+    public override bool CanChangeName {
+      get { return false; }
     }
+  }
 }
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Collections.ObjectModel;
 using System.Drawing;
 using System.Linq;
@@ -383,5 +382,5 @@
         ((ILookupParameter)op.OriginalRealVectorParameter).ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.BoundsParameter.Value = (DoubleMatrix)BoundsParameter.Value.Clone();
-        op.BoundsParameter.ActualName = "ParticleBounds"; 
+        op.BoundsParameter.ActualName = "ParticleBounds";
       }
     }
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for AckleyEvaluatorTest and is intended
-    ///to contain all AckleyEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for AckleyEvaluatorTest and is intended
+  ///to contain all AckleyEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class AckleyEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for BealeEvaluatorTest and is intended
-    ///to contain all BealeEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for BealeEvaluatorTest and is intended
+  ///to contain all BealeEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class BealeEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for BoothEvaluatorTest and is intended
-    ///to contain all BoothEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for BoothEvaluatorTest and is intended
+  ///to contain all BoothEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class BoothEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for GriewankEvaluatorTest and is intended
-    ///to contain all GriewankEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for GriewankEvaluatorTest and is intended
+  ///to contain all GriewankEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class GriewankEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for LevyEvaluatorTest and is intended
-    ///to contain all LevyEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for LevyEvaluatorTest and is intended
+  ///to contain all LevyEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class LevyEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for MatyasEvaluatorTest and is intended
-    ///to contain all MatyasEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for MatyasEvaluatorTest and is intended
+  ///to contain all MatyasEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class MatyasEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4068)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs	(revision 4068)
@@ -20,18 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for RastriginEvaluatorTest and is intended
-    ///to contain all RastriginEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for RastriginEvaluatorTest and is intended
+  ///to contain all RastriginEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class RastriginEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for RosenbrockEvaluatorTest and is intended
-    ///to contain all RosenbrockEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for RosenbrockEvaluatorTest and is intended
+  ///to contain all RosenbrockEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class RosenbrockEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs	(revision 4068)
@@ -20,18 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for SphereEvaluatorTest and is intended
-    ///to contain all SphereEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SphereEvaluatorTest and is intended
+  ///to contain all SphereEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class SphereEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for SumSquaresEvaluatorTest and is intended
-    ///to contain all SumSquaresEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SumSquaresEvaluatorTest and is intended
+  ///to contain all SumSquaresEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class SumSquaresEvaluatorTest {
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs	(revision 4065)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for ZakharovEvaluatorTest and is intended
-    ///to contain all ZakharovEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for ZakharovEvaluatorTest and is intended
+  ///to contain all ZakharovEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class ZakharovEvaluatorTest {
